- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Codeset_Translator_Base Class Reference

Abstract base Translator component for interaction with TAO. More...

`#include <Codeset_Translator_Base.h>`

List of all members.

## Public Member Functions
virtual | ~TAO_Codeset_Translator_Base ()
virtual int | init (int argc, ACE_TCHAR *argv[])=0
virtual CONV_FRAME::CodeSetId | ncs () const =0
virtual CONV_FRAME::CodeSetId | tcs () const =0
virtual void | assign (TAO_InputCDR *) const =0
virtual void | assign (TAO_OutputCDR *) const =0

## Detailed Description

Abstract base Translator component for interaction with TAO.

Certain elements of TAO need an interface defined in the TAO module Through which the actual codeset translator instance may be assigned to CDR streams.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Codeset_Translator_Base::~TAO_Codeset_Translator_Base | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void TAO_Codeset_Translator_Base::assign | ( | TAO_OutputCDR * |  | ) | const`[pure virtual]`

Assign the translator to the supplied output CDR. This is left abstract since the base base does not have a reference to the actual translator instance. The template instance provides this implementation.

virtual void TAO_Codeset_Translator_Base::assign | ( | TAO_InputCDR * |  | ) | const`[pure virtual]`

Assign the translator to the supplied input CDR. This is left abstract since the base base does not have a reference to the actual translator instance. The template instance provides this implementation.

virtual int TAO_Codeset_Translator_Base::init | ( | int | argc,
|  | ACE_TCHAR * | argv[] |
| ) |  |  | `[pure virtual]`

virtual CONV_FRAME::CodeSetId TAO_Codeset_Translator_Base::ncs | ( |  | ) | const`[pure virtual]`

Get the native codeset ID from the base. There is no reasonable default for this method, so it is left abstract.

virtual CONV_FRAME::CodeSetId TAO_Codeset_Translator_Base::tcs | ( |  | ) | const`[pure virtual]`

Get the translated codeset ID from the base. There is no reasonable default for this method, so it is left abstract.

The documentation for this class was generated from the following files:

- Codeset_Translator_Base.h
- Codeset_Translator_Base.cpp